GDB (xrefs)

Public Member Functions | Public Attributes | List of all members
gdb.printing.FlagEnumerationPrinter Class Reference
Inheritance diagram for gdb.printing.FlagEnumerationPrinter:

## Public Member Functions
def | __init__ (self, enum_type)
def | __call__ (self, val)
def | __init__ (self, enum_type)
def | __call__ (self, val)
Public Member Functions inherited from gdb.printing.PrettyPrinter
def | __init__ (self, name, subprinters=None)
def | __call__ (self, val)
def | __init__ (self, name, subprinters=None)
def | __call__ (self, val)

## Public Attributes
| initialized
| enumerators
Public Attributes inherited from gdb.printing.PrettyPrinter
| name
| subprinters
| enabled

## Detailed Description

    A pretty-printer which can be used to print a flag-style enumeration.
    A flag-style enumeration is one where the enumerators are or'd
    together to create values.  The new printer will print these
    symbolically using '|' notation.  The printer must be registered
    manually.  This printer is most useful when an enum is flag-like,
    but has some overlap.  GDB's built-in printing will not handle
    this case, but this printer will attempt to.

Definition at line 244 of file printing.py.

## Constructor & Destructor Documentation

## ◆ __init__() [1/2]

def gdb.printing.FlagEnumerationPrinter.__init__ | ( |  | self,
|  |  | enum_type
| ) |  |

Definition at line 253 of file printing.py.

Referenced by gdb.printing.FlagEnumerationPrinter.__init__().

## ◆ __init__() [2/2]

def gdb.printing.FlagEnumerationPrinter.__init__ | ( |  | self,
|  |  | enum_type
| ) |  |

Definition at line 253 of file printing.py.

References gdb.printing.FlagEnumerationPrinter.__init__(), and gdb.printing.FlagEnumerationPrinter.initialized.

## Member Function Documentation

## ◆ __call__() [1/2]

def gdb.printing.FlagEnumerationPrinter.__call__ | ( |  | self,
|  |  | val
| ) |  |

Definition at line 257 of file printing.py.

References gdb.printing.FlagEnumerationPrinter.initialized, exsummary.Function.name, cmd_list_element.name, gdb.printing.PrettyPrinter.name, subfile.name, name, ada_task_info.name, context_stack.name, subfile_stack.name, aop_map.name, cache_entry.name, ada_exc_info.name, and loaded_script.name.

Referenced by gdb.printing.FlagEnumerationPrinter.__call__().

## ◆ __call__() [2/2]

def gdb.printing.FlagEnumerationPrinter.__call__ | ( |  | self,
|  |  | val
| ) |  |

Definition at line 257 of file printing.py.

References gdb.printing.FlagEnumerationPrinter.__call__(), gdb.printing.add_builtin_pretty_printer(), gdb.printing.PrettyPrinter.enabled, bp_location.enabled, gdb.printing._EnumInstance.enumerators, gdb.printing.FlagEnumerationPrinter.enumerators, gdb.printing.FlagEnumerationPrinter.initialized, exsummary.Function.name, cmd_list_element.name, gdb.printing.PrettyPrinter.name, subfile.name, name, ada_task_info.name, context_stack.name, subfile_stack.name, aop_map.name, cache_entry.name, ada_exc_info.name, loaded_script.name, and gdb.printing.register_pretty_printer().

## Member Data Documentation

## ◆ enumerators

gdb.printing.FlagEnumerationPrinter.enumerators

Definition at line 261 of file printing.py.

Referenced by gdb.printing.FlagEnumerationPrinter.__call__().

## ◆ initialized

gdb.printing.FlagEnumerationPrinter.initialized

Definition at line 255 of file printing.py.

Referenced by gdb.printing.FlagEnumerationPrinter.__call__(), and gdb.printing.FlagEnumerationPrinter.__init__().

The documentation for this class was generated from the following file:

- /tmp/gdb-8.1/gdb/data-directory/python/gdb/printing.py